Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155705 - no sound after ACPI resume
Summary: no sound after ACPI resume
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 7
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 13:21 UTC by Dmitry Butskoy
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 01:10:16 UTC


Attachments (Terms of Use)

Description Dmitry Butskoy 2005-04-22 13:21:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
  I have IBM ThinkPad T23 laptop.
  After sleep (ACPI`s S3 mode) the sound completely disappears, until either:
1) rmmod/insmod for appropriate snd-* module
or:
2) run:
  alsactl power D3
  sleep 1
  alsactl power D0




Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. Play any sample, make sure all is OK
2. Go to sleep by "echo 3 >/proc/acpi/state "
3. Resume by pressing appropriate button(s)
4. Play any sound again

Actual Results:   Unlike 1), no more sound at all

Expected Results:   

Additional info:

  It is old issue, first was reported as bug 127210 for fc2...

Comment 1 Dave Jones 2005-07-15 19:21:03 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dmitry Butskoy 2005-09-16 11:34:33 UTC
Unfortunately, nothing changed with the new kernel-2.6.12-1.1376_FC3 ...

Comment 3 Jason Merrill 2005-09-26 22:24:07 UTC
I have the same issue with FC4 and 2.6.12-1.1456_FC4.

Comment 4 Dave Jones 2005-09-27 00:37:32 UTC
which sound modules are in use here ?


Comment 5 Jason Merrill 2005-09-27 03:03:32 UTC
snd_intel8x0m          19845  0
snd_intel8x0           34945  11
snd_ac97_codec         76217  2 snd_intel8x0m,snd_intel8x0
snd_seq_dummy           3781  0
snd_seq_oss            37569  0
snd_seq_midi_event      9409  1 snd_seq_oss
snd_seq                62801  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            51569  0
snd_mixer_oss          18113  2 snd_pcm_oss
snd_pcm               100553  5
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              33733  10 snd_seq,snd_pcm
snd                    57669  21
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              11169  2 snd
snd_page_alloc          9925  3 snd_intel8x0m,snd_intel8x0,snd_pcm


Comment 6 Dave Jones 2005-09-30 05:59:48 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 7 Jason Merrill 2005-10-03 12:57:41 UTC
This issue does seem to be fixed in the 1526 kernel.


Comment 8 Dmitry Butskoy 2005-10-03 13:14:30 UTC
I initially reported it on FC3...
 
BTW, any plans to update new kernel for FC3 too?

Comment 9 Dave Jones 2005-10-03 21:49:36 UTC
not to 2.6.13 level. I will backport various fixes, but I don't know if I'm
going to root-cause this to a specific patch in time for whats likely to be the
final FC3 update before it reaches end of life.


Comment 10 Dmitry Butskoy 2006-12-22 15:32:49 UTC
Now I've upgraded my laptop (IBM ThinkPad T23), under the latest kernel 2.6.18
the issue still exist.

The same behavior/symptomes/workarounds as before.

Reopened.

Comment 11 Chuck Ebbert 2007-04-23 16:57:12 UTC
Should be fixed in the next kernel update.

Comment 12 Nigel Cunningham 2007-06-12 00:33:14 UTC
Could you please confirm whether it is fixed or not by a more recent kernel?

Comment 13 Dmitry Butskoy 2007-06-19 11:10:44 UTC
Still not fixed with latest FC5 kernel, based on upstream's 2.6.20.11 .

Cannot check under 2.6.21 for a while...


Comment 14 Bug Zapper 2008-04-04 01:55:44 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 15 Dmitry Butskoy 2008-04-04 12:16:56 UTC
Still present, at least under Fedora 7

Comment 16 Bug Zapper 2008-05-14 11:57:02 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2008-06-17 01:10:13 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.